%define		_state		stable
%define		orgname		dragon
%define		qtver		4.8.1

Summary:	Dragon Player - very simple Phonon-based media player
Summary(pl.UTF-8):	Dragon Player - bardzo prosty odtwarzacz multimediów oparty na Phononie
Name:		kde4-%{orgname}
Version:	4.14.3
Release:	3
License:	GPL v2+
Group:		X11/Applications
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	e25cb4d7bcc496db1cae91f88150fd11
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	phonon-devel >= 4.4.1
BuildRequires:	pkgconfig
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
Requires:	kde4-kdebase-workspace-solid >= 4.11.4
Requires:	kde4-kdelibs >= %{version}
Obsoletes:	kde4-kdemultimedia-dragon < 4.8.99-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dragon Player - very simple Phonon-based media player.

%description -l pl.UTF-8
Dragon Player - bardzo prosty odtwarzacz multimediów oparty na
Phononie.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dragon
%attr(755,root,root) %{_libdir}/kde4/dragonpart.so
%{_datadir}/apps/dragonplayer
%{_datadir}/apps/solid/actions/dragonplayer-opendvd.desktop
%{_datadir}/config/dragonplayerrc
%{_datadir}/kde4/services/ServiceMenus/dragonplayer_play_dvd.desktop
%{_datadir}/kde4/services/dragonplayer_part.desktop
%{_desktopdir}/kde4/dragonplayer.desktop
%{_iconsdir}/*/*/apps/dragonplayer.*
%{_iconsdir}/*/*/actions/player-volume-muted.png
# FIXME: add -oxygen-svg-icons subpackage like in kdebase-workspace and put the icons there
#%{_iconsdir}/oxygen/scalable/actions/player-volume-muted.svgz
%lang(en) %{_kdedocdir}/en/dragonplayer
%{_mandir}/man1/dragon.1*
%changelog
* Wed Oct 02 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-dragon.git;a=log;h=master

* Wed Oct 02 2019 Jan Rękorajski <baggins@pld-linux.org> 710fce8
- rebuild for g++ ABI changes
- release 3 (by relup.sh)

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> 55f5b06
- x32 rebuild
- release 2 (by relup.sh)

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> e3af2c3
- updated to 4.14.3 (by update-kde4.sh)

* Thu Oct 16 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> adcb2c4
- up to 4.14.2

* Sun Aug 24 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 036efa0
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 09b1002
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 6aa230d
- updated to 4.13.1 (by update-kde4.sh)

* Sat May 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> e624233
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> ccf3acf
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> add8c13
- updated to 4.12.3 (by update-kde4.sh)

* Wed Feb 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 68ac48a
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> d07afcf
- updated to 4.12.1 (by update-kde4.sh)

* Mon Dec 23 2013 Witold Filipczyk <witekfl@poczta.onet.pl> c6cc888
- 4.12.0

* Thu Dec 12 2013 Lukasz Masko <lmasko@pld-linux.org> b0e744b
- Up to 4.11.4.

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> f052336
- updated to 4.10.4 (by update-kde4.sh)

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> 2c2592b
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> c6df1bf
- updated to 4.9.4

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> 7be2304
- updated to 4.9.1.

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 7fa5fc8
- Obsolete kdemultimedia package
Release 2

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 8115391
- Updated BRs and files
Release 1

